Week 3

Week 3 (11/8): TECHNIQUE / INNOVATION

  • Class: 7-9 | Tutorial: 9-10
  • Due: Design thesis posted on blog
  • Due: “Sketch” posted to blog
  • Due: Material sample for class
  • Discuss: Blog postings
  • Lecture: Technique/Innovation
  • Lecture: Basic Scripting Lingo
  • Desk Crits: Sign-Up Sheet in class
  • Assignment: Combine material and technique
  • Assignment: Sketch design
  • Tutorial: Rhino.Script

Week 3 Scripting Project Reference:

http://www.thecognomen.net/log/2009/4/29/maneuver-wall.html

Week 3 Tutorial Script:

Option Explicit

‘Script written by mark.bearak

‘Script copyrighted by parametric.realizations

‘Script version Monday, November 08, 2010 3:24:57 PM
Call Main()

Sub Main()

Dim arrPt, i, j, dblZ, counter

counter = 30

ReDim arrPts(counter)

ReDim arrCrvs(counter)

For j = 0 To counter

For i = 0 To counter

If i+j < (rnd*50) Then

dblZ = sin(i*j)

Else

dblZ = 1

End If

arrPts(i) = array(j,i,dblZ)

‘Call Rhino.AddPoint (arrPts(i))

Next

arrCrvs(j) = Rhino.AddCurve (arrPts)

Next

Call Rhino.AddLoftSrf (arrCrvs)

Call Rhino.DeleteObjects (arrCrvs)

End Sub

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s